datablock PlayerData(BouncyPlayer : PlayerStandardArmor)
{
	uiName = "Bouncy Player ";
   minImpactSpeed = 1;
   groundImpactMinSpeed    = 0;
   groundImpactShakeFreq   = "0 0 0";
   groundImpactShakeAmp    = "0 0 0";
   groundImpactShakeDuration = 0;
   groundImpactShakeFalloff = 0;
};
package bounce
{
	function bouncyplayer::onImpact(%this, %obj, %collidedObject, %vec, %vecLen)
	{
		parent::onImpact(%this, %obj, %collidedObject, %vec, %vecLen);
		%obj.addvelocity(%vec);
	}
	function superbouncyplayer::onImpact(%this, %obj, %collidedObject, %vec, %vecLen)
	{
		parent::onImpact(%this, %obj, %collidedObject, %vec, %vecLen);
		%veca = getword(%vec,0) * 2;
		%vecb = getword(%vec,1) * 2;
		%vecc = getword(%vec,2) * 2;
		%obj.addvelocity(%veca SPC %vecb SPC %vecc);
	}
};
activatepackage(bounce);
datablock PlayerData(SuperBouncyPlayer : PlayerStandardArmor)
{
	uiName = "Super Bouncy Player ";
   minImpactSpeed = 1;
   groundImpactMinSpeed    = 0;
   groundImpactShakeFreq   = "0 0 0";
   groundImpactShakeAmp    = "0 0 0";
   groundImpactShakeDuration = 0;
   groundImpactShakeFalloff = 0;
};